#include "testlib.h"
#include <vector>

using namespace std;

// 0 -- samples
// 1 -- n,q <= 10
// 2 -- bucket <= 2
// 3 -- full
const int MAX_N[] = {50, 10, 50, 50};
const int MAX_Q[] = {100, 10, 100, 100};
const int MAX_B[] = {3, 3, 2, 3};

int main(int argc, char * argv[])
{
    registerValidation(argc, argv);
	int group = atoi(validator.group().c_str());
    int n = inf.readInt(1, MAX_N[group], "n");
	inf.readSpace();
    int q = inf.readInt(0, MAX_Q[group], "q");
    inf.readEoln();

    for (int i = 0; i < n; ++i)
    {
        inf.readInt(1, MAX_B[group], "s_i");
		if (i == n - 1)
			inf.readEoln();
		else
			inf.readSpace();
    }

    for (int i = 0; i < n; ++i)
    {
        inf.readInt(1, MAX_B[group], "t_i");
		if (i == n - 1)
			inf.readEoln();
		else
			inf.readSpace();
    }

	for (int i = 0; i < q; ++i)
	{
		int x = inf.readInt(1, MAX_B[group], "x_i");
		inf.readSpace();
		int y = inf.readInt(1, MAX_B[group], "y_i");
		inf.readEoln();
		ensuref(x != y, "buckets in query must be different");
	}

    inf.readEof();

    return 0;
}
