#include <fstream>
#include <vector>
#include <algorithm>

using namespace std;

const int N = 400500;
int t[N];

void update(int v, int tl, int tr, int l, int r)
{
	if (l > r)
	{
		return;
	}
	if (tl == l && tr == r)
	{
		t[v]++;
		return;
	}
	int tm = (tl + tr) / 2;
	update(v * 2, tl, tm, l, min(r, tm));
	update(v * 2 + 1, tm + 1, tr, max(l, tm + 1), r);
}

int get(int v, int tl, int tr, int pos, int plus)
{
	if (tl == tr)
	{
		return t[v] + plus;
	}
	plus += t[v];
	int tm = (tl + tr) / 2;
	if (pos <= tm)
	{
		get(v * 2, tl, tm, pos, plus);
	}
	else
	{
		get(v * 2 + 1, tm + 1, tr, pos, plus);
	}
}

int main()
{
	ifstream cin("loganqueries.in");
	ofstream cout("loganqueries.out");
	int n, q;
	cin >> n >> q;

	vector <int> a(n);
	for (int i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	sort(a.begin(), a.end());
	for (int i = 0; i < q; i++)
	{
		int l, r;
		cin >> l >> r;
		--l, --r;
		update(1, 0, n - 1, l, r);
	}

	vector <int> count(n);
	for (int i = 0; i < n; i++)
	{
		count[i] = get(1, 0, n - 1, i, 0);
	}
	sort(count.begin(), count.end());
	long long ans = 0;
	for (int i = 0; i < n; i++)
	{
		ans += (long long)a[i] * count[i];
	}
	cout << ans;
	return 0;
}